SORU
13 Mart 2014, PERŞEMBE


&Quot için sağlayıcı;çerçeve:yasemin"! (Çözme: çerçeve:yasemin)

Komutu grunt çalıştırdığımda aşağıdaki uyarıyı alıyorum:

Running "karma:unit" (karma) task
Warning: No provider for "framework:jasmine"! (Resolving: framework:jasmine) Use --force to continue.

Herkes bu sorunu çözmek için nasıl biliyor mu?

CEVAP
13 Mart 2014, PERŞEMBE


Yeni bir proje oluşturma yeoman açısal jeneratör (yo açısal) sonra aynı hata vardı.

Çözüm ekleyerek benim için "karma-yasemin" paketleri devDependencies.json ve çalışan "" tekrar. etmesinin önünü yükleyin

npm install karma-jasmine --save-dev

Bu hata iletisini çözüldü "Hayır kuruluşu“:” yasemin!" çerçeve için

Ben de hayır launcher yüklü bir ileti (http://karma-runner.github.io/0.10/config/browsers.html) var gibi devDependencies için karma bir tarayıcı başlatıcısı eklemek zorunda kaldı.

npm install karma-safari-launcher --save-dev

Benim paketler.json benim eylemden sonra böyle görünüyordu:

{
  "name": "test1",
  "version": "0.0.0",
  "dependencies": {},
  "devDependencies": {
    "grunt": "~0.4.1",
    "grunt-autoprefixer": "~0.4.0",
    "grunt-bower-install": "~0.7.0",
    "grunt-concurrent": "~0.4.1",
    "grunt-contrib-clean": "~0.5.0",
    "grunt-contrib-coffee": "~0.7.0",
    "grunt-contrib-compass": "~0.6.0",
    "grunt-contrib-concat": "~0.3.0",
    "grunt-contrib-connect": "~0.5.0",
    "grunt-contrib-copy": "~0.4.1",
    "grunt-contrib-cssmin": "~0.7.0",
    "grunt-contrib-htmlmin": "~0.1.3",
    "grunt-contrib-imagemin": "~0.3.0",
    "grunt-contrib-jshint": "~0.7.1",
    "grunt-contrib-uglify": "~0.2.0",
    "grunt-contrib-watch": "~0.5.2",
    "grunt-google-cdn": "~0.2.0",
    "grunt-newer": "~0.5.4",
    "grunt-ngmin": "~0.0.2",
    "grunt-rev": "~0.1.0",
    "grunt-svgmin": "~0.2.0",
    "grunt-usemin": "~2.0.0",
    "jshint-stylish": "~0.1.3",
    "load-grunt-tasks": "~0.2.0",
    "time-grunt": "~0.2.1",
    "karma-ng-scenario": "^0.1.0",
    "grunt-karma": "^0.8.0",
    "karma": "^0.12.0",
    "karma-jasmine": "~0.2.2",
    "karma-safari-launcher": "~0.1.1",
    "karma-ng-html2js-preprocessor": "^0.1.0"
  },
  "engines": {
    "node": ">=0.8.0"
  },
  "scripts": {
    "test": "grunt test"
  }
}

Karma aşağıdaki satırı değiştirdim.karma-e2e conf TR.conf karma-safari-launcher: kullanmak için

browsers: ['Safari'],

Bu sizin için de işe yarayacağını umarım.

Bunu Paylaş:
  • Google+
  • E-Posta
Etiketler:

YORUMLAR

SPONSOR VİDEO

Rastgele Yazarlar

  • MugenPowerBatteries

    MugenPowerBa

    8 EKİM 2010
  • pleated-jeans

    pleated-jean

    6 HAZİRAN 2013
  • xdadevelopers

    xdadeveloper

    25 Aralık 2009

İLGİLİ SORU / CEVAPLAR